$fn = 80;

difference() { 
  union(){ tapered_cuboid(); Panel(); }
  counterBore();
}

// A cuboid with a tapered top
// w     - width
// l     - length
// h     - height
// taper - taper each edge at the top by

module tapered_cuboid(w, l, h, taper) {
	ho = taper;	hw = w - taper;	hl = l - taper;
	polyhedron( points=[
		[ 0,  0, 0],	[ho, ho, h],
		[hw, ho, h],	[ w,  0, 0],
		[ 0,  l, 0],	[ho, hl, h],
		[hw, hl, h],	[ w,  l, 0] 
	], faces = [
		// side faces
		[0, 1, 2],	[2, 3, 0],
		[3, 2, 6],	[6, 7, 3],
		[7, 6, 5],	[5, 4, 7],
		[4, 5, 1],	[1, 0, 4],
		// top face
		[1, 5, 2],	[2, 5, 6],
		// bottom face
		[4, 0, 3],	[7, 4, 3],
	] );
}
module Panel(){ // Cuboid
      translate ([0,0,4]) tapered_cuboid(158, 50, 5, 5);
      // Lower frame
      translate ([2,2,0]) cube([154, 46, 4.2]);
     }

module counterBore(){ // Hollow out
      translate ([4,4,-0.1]) cube([150, 42, 4]);
      // 4 holes
      translate ([25,25,6]) cylinder (d=30, h=4);
      translate ([61,25,6]) cylinder (d=30, h=4);
      translate ([97,25,6]) cylinder (d=30, h=4);
      translate ([133,25,6]) cylinder (d=30, h=4);
     }

